"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var api_1 = require("./api");
var TimeoutFileSystem = (function () {
    function TimeoutFileSystem(timeout, fs) {
        this.timeout = timeout;
        this.fs = fs;
    }
    Object.defineProperty(TimeoutFileSystem.prototype, "events", {
        get: function () {
            return this.fs.events;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TimeoutFileSystem.prototype, "baseUrl", {
        get: function () {
            return this.fs.baseUrl;
        },
        enumerable: true,
        configurable: true
    });
    TimeoutFileSystem.prototype.saveFile = function (fullPath, newContent) {
        return this.fs.saveFile(fullPath, newContent).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.deleteFile = function (fullPath) {
        return this.fs.deleteFile(fullPath).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.deleteDirectory = function (fullPath, recursive) {
        return this.fs.deleteDirectory(fullPath, recursive).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.loadTextFile = function (fullPath) {
        return this.fs.loadTextFile(fullPath).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.loadDirectoryTree = function (fullPath) {
        return this.fs.loadDirectoryTree(fullPath).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.loadDirectoryChildren = function (fullPath) {
        return this.fs.loadDirectoryChildren(fullPath).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.ensureDirectory = function (fullPath) {
        return this.fs.ensureDirectory(fullPath).timeout(this.timeout);
    };
    TimeoutFileSystem.prototype.dispose = function () {
        if (api_1.isDisposable(this.fs))
            this.fs.dispose();
    };
    return TimeoutFileSystem;
}());
exports.TimeoutFileSystem = TimeoutFileSystem;
//# sourceMappingURL=timeout-fs.js.map