/// <reference types="bluebird" />
import * as Promise from 'bluebird';
import { FileSystem, Directory, File, ShallowDirectory } from "../../src/api";
import { InternalEventsEmitter } from "../../src/utils";
export declare class SlowFs implements FileSystem {
    private delay;
    readonly events: InternalEventsEmitter;
    private fs;
    baseUrl: string;
    constructor(delay: number);
    saveFile(fullPath: string, newContent: string): Promise<void>;
    deleteFile(fullPath: string): Promise<void>;
    deleteDirectory(fullPath: string, recursive?: boolean): Promise<void>;
    ensureDirectory(fullPath: string): Promise<void>;
    loadTextFile(fullPath: string): Promise<string>;
    loadDirectoryTree(fullPath?: string): Promise<Directory>;
    loadDirectoryChildren(fullPath: string): Promise<(File | ShallowDirectory)[]>;
    dispose(): void;
}
